light-mode-image
Learn
API ReferenceInboxes

Retrieve inbox DIDs

Roles

adminissuermanaged-issuer

Analytics Events

MESSAGING_INBOX_DID_RETRIEVE_LIST_STARTMESSAGING_INBOX_DID_RETRIEVE_LIST_SUCCESSMESSAGING_INBOX_DID_RETRIEVE_LIST_FAIL
GET/v1/messaging/inboxes/{id}/dids

Retrieves a list of all the DIDs registered with the requested inbox.

Analytic events

  • MESSAGING_INBOX_DID_RETRIEVE_LIST_START
  • MESSAGING_INBOX_DID_RETRIEVE_LIST_SUCCESS
  • MESSAGING_INBOX_DID_RETRIEVE_LIST_FAIL

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Requested inbox ID

Query Parameters

limit?number

Range size of returned list.

Range1 <= value <= 1000
Default100
cursor?string

Starting point for the list of entries.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/messaging/inboxes/string/dids"
{  "nextCursor": "string",  "data": [    "string"  ]}

How would you rate this page?